aboutsummaryrefslogtreecommitdiff
path: root/Scripts/.local/scripts/st-scripts/output-copy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Scripts/.local/scripts/st-scripts/output-copy.sh')
-rwxr-xr-xScripts/.local/scripts/st-scripts/output-copy.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/Scripts/.local/scripts/st-scripts/output-copy.sh b/Scripts/.local/scripts/st-scripts/output-copy.sh
new file mode 100755
index 0000000..6ce52ee
--- /dev/null
+++ b/Scripts/.local/scripts/st-scripts/output-copy.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# From https://github.com/LukeSmithxyz/st
+
+# By Jaywalker and Luke
+
+tmpfile=$(mktemp /tmp/st-cmd-output.XXXXXX)
+trap 'rm "$tmpfile"' 0 1 15
+sed -n "w $tmpfile"
+sed -i 's/\x0//g' "$tmpfile"
+ps1="$(grep "\S" "$tmpfile" | tail -n 1 | sed 's/^\s*//' | cut -d' ' -f1)"
+chosen="$(grep -F "$ps1" "$tmpfile" | sed '$ d' | tac | dmenu -p "Copy which command's output?" -i -l 10 | sed 's/[^^]/[&]/g; s/\^/\\^/g')"
+eps1="$(echo "$ps1" | sed 's/[^^]/[&]/g; s/\^/\\^/g')"
+awk "/^$chosen$/{p=1;print;next} p&&/$eps1/{p=0};p" "$tmpfile" | xclip -selection clipboard